# SE-linux on by default:
%define WITH_SELINUX 0

Summary: Statically linked binary providing simplified versions of system commands
Name: busybox
Version: 1.00
Release: 2tr
License: GPL
Group: Trustix Official
Source: http://www.busybox.net/downloads/%{name}-%{version}.tar.bz2
Source1: busybox-1.00.config
Source2: busybox-1.00-anaconda.config
Patch1: busybox-anaconda.patch
Patch2: busybox-selinux.patch
URL: http://www.busybox.net
BuildRoot: %{_tmppath}/%{name}-root

%package anaconda
Group: Trustix Official
Summary: Version of busybox configured for use with anaconda

%description 
Busybox is a single binary which includes versions of a large number
of system commands, including a shell.  This package can be very
useful for recovering from certain types of system failures,
particularly those involving broken shared libraries.

%description anaconda
Busybox is a single binary which includes versions of a large number
of system commands, including a shell.  The version contained in this
package is designed for use with the Red Hat installation program,
anaconda. The busybox package provides a binary better suited to
normal use.

%prep
%setup -q -n %{name}-%{version}


#cp sysdeps/linux/defconfig .config
#SELINUX Patch
%if %{WITH_SELINUX}
%patch2 -b .selinux -p1
%endif

%build
cp %{SOURCE1} .config
make oldconfig
cp .config %{SOURCE1}
make
cp busybox busybox-static
make distclean

patch -b --suffix .anaconda -p1 < %{PATCH1}
cp %{SOURCE2} .config
make oldconfig
cp .config %{SOURCE2}
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -s -m 755 busybox-static $RPM_BUILD_ROOT/sbin/busybox
install -s -m 755 busybox $RPM_BUILD_ROOT/sbin/busybox.anaconda
install -m 644 docs/BusyBox.1 $RPM_BUILD_ROOT/%{_mandir}/man1/busybox.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/busybox
%{_mandir}/man1/busybox*

%files anaconda
%defattr(-,root,root)
/sbin/busybox.anaconda

%changelog
* Sun Oct 24 2004 Erlend Midttun <erlendbm at trustix dot org> 1.00-2tr
- 1.00 release.

* Fri Aug 13 2004 Erlend Midttun <erlendbm at trustix dot org> 1.00-0.rc2.1tr
- New upstream

* Thu May 13 2004 Chr. Toldnes <christht at trustix dot org> 1.00-0.pre8.3tr
- new upstream

* Fri Dec 12 2003 Erlend Midttun <erlendbm at trustix dot org> 0.60.5-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.51.062801-8tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.51.062801-6em
- Rebuilt against glibc 2.3.2.

* Wed Jan  8 2003 Erlend Midttun <erlendbm at trustix dot com> 0.51.062801-5em
- Fixed package Group take II

* Mon Dec  9 2002 Erlend Midttun <erlendbm at trustix dot com> 0.51.062801-4em
- Fixed package Group

* Mon Jul  9 2001 Tim Powers <timp@redhat.com>
- don't obsolete sash
- fix URL and spelling in desc. to satisfy rpmlint

* Thu Jul 05 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add missing defattr for anaconda subpackage

* Thu Jun 28 2001 Erik Troan <ewt@redhat.com>
- initial build for Red Hat
